Summary: Programs to configure ISA Plug-And-Play devices on a linux machine.
Name: isapnptools
Version: 1.15a
Release: 3
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.demon.co.uk/pub/unix/linux/utils/isapnptools-1.15.tgz
Patch: isapnptools-1.15.patch
Patch1: patch-1.15a
ExcludeArch: sparc
BuildRoot: /tmp/isapnptools-root

%description
These programs allow ISA Plug-And-Play devices to be configured
on a Linux machine.

This program is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications
because it may already activate some cards so that the drivers
can find them, and these tools can unconfigure them, or change
their settings causing all sorts of nasty effects. If you have
(for example) plug and play network cards that already work, I
suggest you read section 4 on the format of the configuration
file below very carefully.

%changelog
* Mon Oct  5 1998 Bill Nottingham <notting@redhat.com>

- add %post to twiddle readport of old /etc/isapnp.conf files

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>

- fixed spec file so it rebuild cleanly

* Fri Aug 07 1998 Bill Nottingham <notting@redhat.com>

- added patch to bump to 1.15a

* Tue Aug 04 1998 Bill Nottingham <notting@redhat.com>

- updated to version 1.15

* Fri Oct 03 1997 Michael Fulbright <msf@redhat.com>

- added code to avoid probing in IO port ranges in /proc/ioports

* Fri Aug 22 1997 Mike Wangsmo <wanger@redhat.com>

- Built against glibc

* Thu Jul 17 1997 Timo Karjalainen <timok@iki.fi>

- Updated to version 1.11
- Added RPM_OPT_FLAGS
- Uses BuildRoot

%prep
%setup -n isapnptools-1.15

%patch -p1
%patch1 -p0

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man5,usr/man/man8,etc}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README README.ide README.initrd README.modules
%doc isapnpfaq.txt isapnp.conf isapnp.lsm config-scripts/YMH0021
/sbin/*
/usr/man/*/*

%post
if [ -f /etc/isapnp.conf ]; then
        NEWPORT=`/sbin/pnpdump | grep READPORT 2>/dev/null`
	if [ -n "$NEWPORT" ]; then
	        mv -f /etc/isapnp.conf /etc/isapnp.conf.rpmsave
		echo "Warning: /etc/isapnp.conf saved as /etc/isapnp.conf.rpmsave" >&2
		sed -e "s/^[^#]*(READPORT .*/$NEWPORT/" /etc/isapnp.conf.rpmsave > /etc/isapnp.conf
	fi
fi
